/*
 * TeleStax, Open Source Cloud Communications  Copyright 2012.
 * and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.mobicents.protocols.ss7.map.api.primitives;

/**
 * 

NAEA-CIC ::= OCTET STRING (SIZE (3))
	-- The internal structure is defined by the Carrier Identification
	-- parameter in ANSI T1.113.3. Carrier codes between 000 and 999 may
	-- be encoded as 3 digits using 000 to 999 or as 4 digits using 
	-- 0000 to 0999. Carrier codes between 1000 and 9999 are encoded
	-- using 4 digits.
	-- using 4 digits.

 * 
 * 
 * @author sergey vetyutnev
 * 
 */
public interface NAEACIC {

	public byte[] getData();

	public String getCarrierCode();

	public NetworkIdentificationPlanValue getNetworkIdentificationPlanValue();

	public NetworkIdentificationTypeValue getNetworkIdentificationTypeValue();

}
